
Notes de mises à jour de Red Hat Linux 7.3

Copyright © 2002 par Red Hat, Inc.
         _________________________________________________________

   Table des matières
   [1]Notes au sujet de l'installateur Anaconda
   [2]Notes sur le noyau
   [3]Notes générales concernant cette distribution
   [4]Réorganisation des paquetages

Notes au sujet de l'installateur Anaconda

Chargeur de démarrage

     * Lors d'une mise à jour, anaconda ne peut mettre à jour la
       configuration en cours de votre chargeur de démarrage sans en
       créer une nouvelle. Si vous utilisez toujours LILO et souhaitez
       passer à GRUB, sélectionnez la création d'une nouvelle
       configuration de chargeur de démarrage lorsque le système vous le
       demande durant la mise à jour.
     _________________________________________________________________

Kickstart

     * Il existe un nouveau répertoire appelé %include qui peut être
       utilisé avec kickstart. Ceci vous permet d'inclure le contenu
       d'autres fichiers à l'intérieur de votre configuration de
       kickstart. Ces fichiers doivent soit exister dans le disque
       virtuel initial (initrd) du programme d'installation soit être
       générés dynamiquement dans la section %pre de la configuration de
       kickstart..
       Pour de plus amples informations sur anaconda et la configuration
       de kickstart, consultez la documentation contenue dans
       /usr/share/doc/anaconda-7.3/.
     _________________________________________________________________

Divers

     * Le mode de mise à jour autonome (tapez linux upgrade à l'invite de
       démarrage) n'est plus pris en charge.
     * L'installation depuis un répertoire NFS contenant tous les
       fichiers ISO nécessaires est maintenant prise en charge. De plus,
       s'il existe un fichier appelé updates.img dans le répertoire
       depuis lequel vous effectuez l'installation, celui-ci sera utilisé
       pour les mises à jour d'Anaconda.
       Reportez-vous au fichier install-methods.txt contenu dans le
       paquetage RPM Anaconda pour obtenir des informations détaillées
       sur les différentes méthodes d'installation de Red Hat Linux,
       ainsi que sur l'utilisation des mises à jour d'Anaconda.
     * Les images ISO ont maintenant un md5sum intégré en elles. Pour
       vérifier l'intégrité d'une image ISO, tapez linux mediacheck à
       l'invite de démarrage de l'installation. Le programme
       d'installation vous demandera d'introduire un CD-ROM et de
       sélectionner OK afin d'exécuter le contrôle. Cette opération peut
       être effectuée sur tous les CD-ROM de Red Hat Linux, dans
       n'importe quel ordre. Il est fortement recommandé d'effectuer
       l'opération sur tous les CD-ROM créés à partir d'images ISO
       téléchargées. Cette procédure ne fonctionne qu'avec les
       installations depuis un CD-ROM.
     * Le fichier journal résumant l'installation se trouve maintenant
       dans le fichier /root/install.log de /root et non plus dans
       /tmp/install.log. Les enregistrements des mises à jour ont
       également été déplacées dans /root/upgrade.log.
     _________________________________________________________________

Notes sur le noyau

Red Hat Linux 7.3 inclut le noyau 2.4.18 ansi que les ajouts et les
modifications suivants :

     * Un programmeur avancé qui réduit les temps d'attente et améliore
       les performances de SMP
     * Prise en charge de 802.11Q (VLAN)
     * Prise en charge de S.M.A.R.T. (TM) et d'autres technologies de
       monitorage des disques durs ; dans certains cas, les disques durs
       qui emploient ces technologies peuvent prévoir les problèmes
       éventuels
     * Prise en charge du LVM (Logical Volume Management)
     * Prise en charge de USB 2.0
     * Support LBA48/ATA133 pour disques > 137GB
     * Support pour les disques Cenatek Rocket
     * Les vieux lecteurs de CD-ROM (pré-IDE) ne sont plus gérés.
     _________________________________________________________________

Notes générales concernant cette distribution

     * Des problèmes de mise à jour des systèmes Red Hat Linux 6.x, 7.0,
       7.1, 7.2 et 7.3 qui exécutent GNOME Ximian nous on été
       signalés. Ces problèmes sont dus à un chevauchement entre les RPM
       Red Hat Linux officiels et les RPM Ximian. Sachez qu'il s'agit
       d'une configuration qui n'est pas prise en charge par Red Hat.
       Plusieurs choix s'offrent à vous pour résoudre ce problème :
       1) Vous pouvez éliminer GNOME Ximian de votre système Red Hat
       Linux avant de procéder à la mise à jour de Red Hat Linux.
       2) Vous pouvez mettre à jour Red Hat Linux et réinstaller
       immédiatement GNOME Ximian.
       3) Vous pouvez mettre à jour Red Hat Linux, puis éliminer
       immédiatement tous les RPM Ximian encore présents et les remplacer
       par les RPM Red Hat Linux correspondants.
       Vous devez résoudre la question du chevauchement des versions en
       optant pour l'un des choix mentionnés ci-dessus. Si vous ne le
       faites pas, vous aurez une configuration de GNOME instable.
     * KDE a été mis à jour à la version 3.0.0 et offre une meilleure
       facilité d'emploi ainsi que de nouvelles applications et
       fonctions.
       Les polices anti-aliased pourraient ne plus fonctionner après la
       mise à jour à la version 3.0.0 de KDE. Ce problème est lié à
       l'ajout d'une fonction : grâce à la mise à jour Qt 3.0, il est
       maintenant possible d'utiliser simultanément des polices
       anti-aliased et non-antialiased dans les applications Qt. Puisque
       les polices par défaut de l'environnement bureau KDE par défaut
       sont des polices bitmap et donc des polices qui ne peuvent pas
       être anti-aliased, le simple fait d'activer le bouton enable
       anti-aliased fonts dans KDE ne modifie pas l'aspect de toutes les
       applications. Pour avoir des polices anti-aliased dans les menus,
       les titres de fenêtres etc., changez les polices de ces éléments
       (par exemple, remplacez Helvetica par Helmet et Courier par
       Lucidatypewriter).
     * Maintenant Red Hat Linux inclut le port de Debian alternatives
       system, afin de prendre en charge différents paquetages qui
       fournissent un même service. Chaque binaire/fichier qui est commun
       aux différents paquetages est remplacé par un lien symbolique à
       /etc ; celui-ci est ensuite convertit dans la version de fichier
       pour le paquetage choisi. Par exemple :
       /usr/sbin/sendmail -> /etc/alternatives/mta ->
       /usr/sbin/sendmail.sendmail
       Ces liens symboliques sont ajoutés et gérés par
       /usr/sbin/alternatives. Pour plus de détails, tapez la commande
       man 8 alternatives
       Actuellement Red Hat Linux offre deux Agents de Transport de Mail
       (MTA), Sendmail et Postfix, ainsi que deux démons d'impression,
       LPRng et CUPS.
       Notez que les configurations de LPRng et de CUPS sont distinctes.
       Si vous passez d'un système d'impression à un autre, vous devrez
       reconfigurer vos imprimantes. Postfix et sendmail ont également
       des fichiers de configuration distincts.
     * XFree86 à été mis à jour à la version 4.2.0, qui inclut un nouveau
       support avancé pour les processeurs graphiques suivants :
       ATI Radeon 7500 (2D/3D), Radeon 8500 (2D)
       ATI Radeon Mobility M6/M7 (2D/3D)
       Intel i830 (2D/3D)
       Matrox G550
       nVidia nForce
       3DLabs Permedia 4
       Chipsets S3 moins récents (non Savage, non ViRGE)
       REMARQUE : Le processeur Vidia GeForce 4 n'est pas géré par le
       pilote "nv" de XFree86 4.2.0. Le pilote "vesa"de XFree86 , qui
       utilise un BIOS VESA de carte vidéo pour initialiser les modes
       vidéo, peut être employé temporairement tant que le support
       officiel ne sera pas disponible.
     * Mozilla a été mis à jour à la version 0.9.9, qui fournit un
       support MathML, un profilage javascript, un support S/MIME pour le
       courrier et les nouvelles, une navigation étiquetée, un support
       LDAP dans le carnet d'adresses et de nombreux correctifs de
       bogues.
     * Le programme de messagerie électronique, le calendrier et le
       gestionnaire de contacts Evolution ont été ajoutés à la
       distribution. Evolution inclut POP, IMAP, un support local de
       courrier, un support iCalendar comme calendrier et programmeur, un
       gestionnaire de contacts intégré ainsi qu'une liste des tâches en
       ligne.
     * MrProject, un outil de gestion des projets, a été ajouté à la
       distribution. MrProject prend en charge les projets de planning et
       de tracking, y compris les chartes, les dépendances et
       l'allocation des ressources Gantt.
     * La distribution contient maintenant l'outil GnomeMeeting.
       GnomeMeeting est un outil de vidéoconférence H.323 compatible qui
       support le tunneling H.245 et le mode en audio seul.
     * Maintenant Red Hat Linux prend en charge le chinois simplifié et
       traditionnel, en plus des langues déjà présentes dans l'ancienne
       distribution : anglais américain, français, allemand, italien,
       espagnol, japonais et coréen.
     * Le support pour les périphériques DVD-R, DVD+RW et DVD-RW, contenu
       dans le paquetage dvdrtools, a été ajouté.
     * Il est maintenant possible de formater des documents DocBook XML à
       l'aide du langage de feuilles de style XSL. Pour en savoir plus
       consultez la page de manuel xmlto(1).
     * Les définitions des types de document DocBook (DTD, DocBook
       document type definitions) ont été regroupées sous un unique
       paquetage RPM appelé docbook-dtds.
     * Le paquetage gPhoto2 a été ajouté à la distribution. gPhoto2 est
       une application logicielle et une interface de bibliothèque pour
       appareils photo numériques. Le paquetage gPhoto2 contient
       également gtKam, une interface pour appareils photo numériques qui
       utilise gPhoto2. Kamera, un plugin Konqueror pour appareils photo
       numériques, a également été ajouté. L'ancienne version de gphoto
       (0.4.3) est déconseillée et sera supprimée lors d'une prochaine
       distribution.
     * initscripts désactivent par défaut le DMA sur CD-ROM IDE. Pour
       l'activer, créez un fichier /etc/sysconfig/harddisk<périphérique>
       contenant USE_DMA=1, où <périphérique> correspond à votre disque
       ou à votre CD-ROM (tel que hdc).
     * /sbin/service passe maintenant au répertoire racine avant de
       démarrer ou arrêter des services. La façon dont /sbin/service gère
       les variables d'environnement a également changé. Par exemple, si
       un script init se base sur des variables d'environnement
       particulières (PATH, etc.), les scripts doivent configurer
       expressément ces variables au lieu de les hériter.
     * Le paquetage bcm5820 a été remplacé par le paquetage hwcrypto. Le
       paquetage hwcrypto inclut également un support pour les
       accélérateurs cryptographiques AEP 1000.
     * Le programme xscanimage est déconseillé et sera supprimé lors
       d'une prochaine version de Red Hat Linux. Le programme xsane peut
       être utilisé à sa place.
     * Le paquetage rp3 a été supprimé. Pour configurer l'accès de
       dial-up, utilisez le paquetage redhat-config-network.
     * Le paquetage ircii a été remplacé par le paquetage epic. epic est
       compatible avec les scripts ircii et inclut plus de fonctions que
       ce dernier.
     * Le paquetage mkkickstart a été supprimé. Utilisez à la place le
       programme ksconfig. Vous pouvez également modifier le fichier
       /root/anaconda-ks.cfg généré par le programme d'installation.
     * La distribution contient également patchutils, le paquetage
       d'utilitaires pour la manipulation des fichiers correctifs. Les
       fichiers correctifs sont souvent utilisés pour le développement de
       logiciels.
     * Les paquetages autoconf253 et automake15 sont également inclus. Le
       premier a été mis à jour à la version 2.53 et le second à la
       version 1.5. Ces deux versions fournissent des environnements de
       développement avancés.
     * Le paquetage glibc-kernheaders a été ajouté à la distribution et
       remplacera le paquetage kernel-headers.
     * Le paquetage postgresql a été mis à jour. Pour préserver vos
       données, videz les données à l'aide de la commande pg_dumpall
       avant de procéder à la mise à jour. Ensuite, récupérez les données
       une fois que la mise à jour est terminée. Pour plus
       d'informations, consultez la page de manuel pg_dumpall(1).
     * L'applet Panel de Red Hat Network est compris par défaut dans le
       tableau de bord de GNOME. Cette application permet de recevoir des
       notices de Red Hat Network ainsi que de télécharger des mises à
       jour pour votre système Red Hat Linux. Notez que l'applet Panel de
       Red Hat Network ne s'affiche pas sur votre tableau de bord de
       GNOME si vous avez mis à jour votre version Red Hat Linux. Pour
       l'ajouter à votre tableau de bord, sélectionnez :
       Menu principal => Applets => Moniteurs => Red Hat Network Alert
       Notification Tool
     _________________________________________________________________

Réorganisation des paquetages

Les applications et paquetages suivants ont été supprimés Red Hat Linux
7.3:

     * enlightenment
     * ext2ed
     * fnlib
     * gnome-pim
     * isapnptools
     * kaffe
     * libodbc++
     * linuxconf
     * lout
     * mawk
     * p2c
     * ttfm
     * xmorph
     * xmailbox
     * xrn
     * xsysinfo

   Les  applications  et  paquetages  suivants  sont  obsolets  et seront
   supprimés d'une prochaine version de Red Hat Linux:

     * Netscape Communicator 4.7
     * XFree86 3.3.x
     * junkbuster

References

   1. file://localhost/tmp/html-o1UGNC#ANACONDA-INSTALLER-NOTES
   2. file://localhost/tmp/html-o1UGNC#KERNEL-NOTES
   3. file://localhost/tmp/html-o1UGNC#GENERAL-NOTES
   4. file://localhost/tmp/html-o1UGNC#DEPRECATED
